diff --git a/lib/java/astor.in b/lib/java/astor.in
index 8d6d354..ce14c04 100644
--- a/lib/java/astor.in
+++ b/lib/java/astor.in
@@ -69,7 +69,6 @@ LOGBACK=${TANGO_LOGBACK:-@CMAKE_INSTALL_PREFIX@/share/tango/logback.xml}
 #
 
 @TSD_JAVA_EXEC@ \
-    -mx128m \
     -DTANGO_HOST=$TANGO_HOST \
     -Dlogback.configurationFile="$LOGBACK" \
     admin.astor.Astor \
diff --git a/lib/java/atkpanel.in b/lib/java/atkpanel.in
index ccd2cd9..9f52cd3 100644
--- a/lib/java/atkpanel.in
+++ b/lib/java/atkpanel.in
@@ -25,7 +25,6 @@ LOGBACK=${TANGO_LOGBACK:-@CMAKE_INSTALL_PREFIX@/share/tango/logback.xml}
 #---------------------------------------------------------
 
 @TSD_JAVA_EXEC@ \
-    -mx128m \
     -DTANGO_HOST=$TANGO_HOST \
     -Dlogback.configurationFile="$LOGBACK" \
     atkpanel.MainPanel \
diff --git a/lib/java/jive.in b/lib/java/jive.in
index d77f9d5..d3de036 100644
--- a/lib/java/jive.in
+++ b/lib/java/jive.in
@@ -21,7 +21,6 @@ CLASSPATH=$JAVALIB/JTango.jar:$JAVABIN/Jive.jar:$ATK:$LOGVIEWER:$LOG4J:$ASTOR:.
 export CLASSPATH
 
 @TSD_JAVA_EXEC@ \
-    -mx128m \
     -DTANGO_HOST=$TANGO_HOST \
     -Dlogback.configurationFile="$LOGBACK" \
     $applet_name $@
diff --git a/lib/java/start-astor.bat b/lib/java/start-astor.bat
index e477354..8c72876 100644
--- a/lib/java/start-astor.bat
+++ b/lib/java/start-astor.bat
@@ -20,6 +20,6 @@ IF NOT DEFINED TANGO_ROOT (
 
 CALL "%TANGO_ROOT%\bin\common.bat"
 
-start javaw -mx128m -DTANGO_HOST=%TANGO_HOST% admin.astor.Astor
+start javaw -DTANGO_HOST=%TANGO_HOST% admin.astor.Astor
 
 :SCRIPT_END
diff --git a/lib/java/start-atkpanel.bat b/lib/java/start-atkpanel.bat
index ddb9023..30e0297 100644
--- a/lib/java/start-atkpanel.bat
+++ b/lib/java/start-atkpanel.bat
@@ -20,6 +20,6 @@ IF NOT DEFINED TANGO_ROOT (
 
 CALL "%TANGO_ROOT%\bin\common.bat"
 
-start javaw -mx128m -DTANGO_HOST=%TANGO_HOST% atkpanel.MainPanel
+start javaw -DTANGO_HOST=%TANGO_HOST% atkpanel.MainPanel
 
 :SCRIPT_END
diff --git a/lib/java/start-jive.bat b/lib/java/start-jive.bat
index 58784d7..7e145ca 100644
--- a/lib/java/start-jive.bat
+++ b/lib/java/start-jive.bat
@@ -20,6 +20,6 @@ IF NOT DEFINED TANGO_ROOT (
 
 CALL "%TANGO_ROOT%\bin\common.bat"
 
-start javaw -mx128m -DTANGO_HOST=%TANGO_HOST% jive3.MainPanel
+start javaw -DTANGO_HOST=%TANGO_HOST% jive3.MainPanel
 
 :SCRIPT_END
diff --git a/lib/java/synopticappli.in b/lib/java/synopticappli.in
index 4aaeebd..f633557 100644
--- a/lib/java/synopticappli.in
+++ b/lib/java/synopticappli.in
@@ -35,7 +35,6 @@ LOGBACK=${TANGO_LOGBACK:-@CMAKE_INSTALL_PREFIX@/share/tango/logback.xml}
 #
 
 @TSD_JAVA_EXEC@ \
-    -mx128m \
     -DTANGO_HOST=$TANGO_HOST \
     -Dlogback.configurationFile="$LOGBACK" \
     $APPLI_PACKAGE.$APPLI_MAIN_CLASS \
